For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update customer ledger information

Update customer with store specific accounting information.

Required permissions: ACCOUNTING_CONFIG, CUSTOMER

put
/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/customers/{customerUid}
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
customerUidstringRequired

Reference to a Customer.

Pattern: ^[A-Za-z0-9-_]+
Body
ledgerNumberstringRequired

Ledger number for the customer on the specific store

Responses
200Success
application/json
ledgerNumberstringRequired

Ledger number for the customer on the specific store

put/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/customers/{customerUid}
PUT /v2/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/customers/{customerUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 23

{
  "ledgerNumber": "text"
}
200Success
{
  "ledgerNumber": "text"
}

Last updated

Was this helpful?